'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 配置
  router.post('/api/integral/integralConfig/create', controller.integralConfig.create);
  router.post('/api/integral/integralConfig/update', controller.integralConfig.update);
  router.delete('/api/integral/integralConfig/delete/:id', controller.integralConfig.delete);
  router.get('/api/integral/integralConfig/query', controller.integralConfig.query);
  // 积分日志
  router.post('/api/integral/integralLog/create', controller.integralLog.create);
  router.post('/api/integral/integralLog/update', controller.integralLog.update);
  router.delete('/api/integral/integralLog/delete/:id', controller.integralLog.delete);
  router.get('/api/integral/integralLog/query', controller.integralLog.query);
  // 积分管理
  router.post('/api/integral/integral/create', controller.integral.create);
  router.post('/api/integral/integral/update', controller.integral.update);
  router.delete('/api/integral/integral/delete/:id', controller.integral.delete);
  router.get('/api/integral/integral/query', controller.integral.query);
  router.post('/api/integral/integral/increase', controller.integral.increase);
  router.post('/api/integral/integral/reduce', controller.integral.reduce);
};
